Subject: [core] draft-ietf-core-coap-09 - More editorial comments WGLC

From: "Dijk, Esko" <[email-masked]>
Date: Tue, 17 Apr 2012 10:13:27 +0000

Here is part 2 of core-coap editorial comments.

* Section 5.2
"Response Codes in
   the Client Error and Server Error class that are unrecognized by an
   end-point MUST be treated as being equivalent to the generic Response
   Code of that class."
There's no definition of what are, or can be, the generic Response Codes of each class.
Mention that these are 4.00 and 5.00 (or *.00 ?) Maybe such info could go here, or section 5.9.* or even in section 11.1.2.

* Section 6.4
"NOTE: In the usual case where the request's destination IP
       address is derived from the host part, this ensures that Uri-Host
       Options are only used for host parts of the form reg-name."
To remove potential confusion maybe write without plural form:
     "this ensures that an Uri-Host Option is only used for a host part of the form reg-name [RFC3986]."
Another potential improvement may be "host part" -> "<host> component" (is the part the same thing as the component?)

* Section 6.5

"the hexadecimal notation in CoAP URIs MUST use uppercase letters"

But the last example URI in section 6.3 does not? Or is there a requirement that lowercase is accepted  by parsers but uppercase MUST be generated?

* "Otherwise, let /host/ be the IP-literal (making use of the

        conventions of [RFC5952<http://tools.ietf.org/html/rfc5952>]) or IPv4address representing the

        request's destination IP address."

Should this sentence include the reg-name form which may be in /host/ ?

* "unreserved set", "sub-delims" set, etc.

   Should a reference [RFC3986] be indicated in the beginning of section 6.5. to cover all these concepts?

   (This RFC is mentioned but only in a side note about percent encoding - not for the entire section.)

* Section 7.1.1. "actually following the link"

  Should this be phrased more formally like "actually requesting the content from the link" ?

* link-extension ABNF notation: "=" -> "=/" for 2nd line

* ABNF: Just thinking whether quoted content types would be allowed in light of the title of ticket #198 (http://trac.tools.ietf.org/wg/core/trac/ticket/198). Or maybe the title of the ticket is a bit too wide in scope?

* Section 8.2.2.

"Upon success, a 200 (OK) response SHOULD be returned.  The payload of

   the response MUST be a representation of the target CoAP resource,

   and the Content-Type Option be set accordingly.  The response MUST

   indicate a Max-Age value that is no greater than the remaining time

   the representation can be considered fresh.  If the CoAP entity has

   an entity tag, the proxy SHOULD include an ETag Option in the

   response."

"Content-Type Option" -> "Content-Type header field" ?

"Max-Age value" -> "Expires" header field? (Or maybe "Age" is involved)

last sentence -> to correct to "ETag header field" and perhaps refer to "ETag Option in the CoAP response" instead of entity tag?

* Section 8.2.4.

Does this need a sentence about how to handle Location-Query and Location-Uri CoAP options from the CoAP origin server?

E.g. mention "Location" header field SHOULD be returned if any of those present.

* Section 10.1.3

TLS_RSA_PSK_WITH_AES_128_CBC_SHA -> Add RFC ref?

"found in a URI type fields" -> typo

* Appendix E

Typo "method impotence" (<joke suppressed>)

regards,
Esko

________________________________
The information contained in this message may be confidential and legally protected under applicable law. The message is intended solely for the addressee(s). If you are not the intended recipient, you are hereby notified that any use, forwarding, dissemination, or reproduction of this message is strictly prohibited and may be unlawful. If you are not the intended recipient, please contact the sender by return e-mail and destroy all copies of the original message.